Bug 1647783 - NM doesn't obtain IP address on WPA2 Enterprise WiFi
Summary: NM doesn't obtain IP address on WPA2 Enterprise WiFi
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-08 11:08 UTC by Alberto Chiusole
Modified: 2019-11-27 19:49 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:49:31 UTC
Type: Bug


Attachments (Terms of Use)
fc29 (not working) logs from /var/log/messages (262.99 KB, text/plain)
2018-11-08 11:08 UTC, Alberto Chiusole
no flags Details
fc27 (working) logs from /var/log/messages (23.43 KB, text/plain)
2018-11-08 11:08 UTC, Alberto Chiusole
no flags Details

Description Alberto Chiusole 2018-11-08 11:08:00 UTC
Created attachment 1503299 [details]
fc29 (not working) logs from /var/log/messages

Description of problem:
NetworkManager doesn't complete the connection to a "WPA & WPA2 Enterprise" (in particular I'm connecting to an eduroam access point: eduroam.org). This doesn't happen with WPA & WPA2 Personal WiFi connections.

Looking at the NM cli monitor I see:

    # systemctl restart NetworkManager; nmcli monitor
    
    wlo1: disconnected
    wlo1: connecting (prepare)
    wlo1: using connection 'eduroam'
    Networkmanager is now in the 'connecting' state
    wlo1: connecting (configuring)
    wlo1: connecting (need authentication)
    wlo1: connecting (prepare)
    wlo1: connecting (configuring)
    wlo1: connecting (getting IP configuration)
    wlo1: connection failed
    Networkmanager is now in the 'disconnected' state

and this is repeated over and over.

This happens also with the newer NetworkManager packages in the updates repo (see below).


Installing the NetworkManager RPM packages for fc28 didn't solve:

    # dnf install --releasever=28 --arch=x86_64 nm-connection-editor network-manager-applet NetworkManager{,{-glib,-libnm,-team,-adsl,-libnm,-wifi,-bluetooth,-ppp,-wwan}}
    
    # systemctl restart NetworkManager; nmcli monitor
    ...
    wlo1: connecting (getting IP configuration)
    wlo1: connection failed
    Networkmanager is now in the 'disconnected' state


Instead, if I download and install packages for fc27, the *same* connection setup (using the same parameters I set in the network-manager-applet in my traybar) works perfectly (unfortunately the repo structure is different in fc27 so dnf is unable to download packages):

    # wget -Nc https://dl.fedoraproject.org/pub/fedora/linux/releases/27/Everything/x86_64/os/Packages/n/{{nm-connection-editor,network-manager-applet}-1.8.4-1.fc27.x86_64.rpm,NetworkManager{,{-glib,-libnm,-team,-adsl,-libnm,-wifi,-bluetooth,-ppp,-wwan}}-1.8.4-2.fc27.x86_64.rpm}
    # dnf install *fc27*
    # systemctl restart NetworkManager; nmcli monitor

    wlo1: disconnected
    wlo1: connecting (prepare)
    wlo1: using connection 'eduroam'
    Networkmanager is now in the 'connecting' state
    wlo1: connecting (need authentication)
    wlo1: connecting (prepare)
    wlo1: connecting (configuring)
    eduroam: connection profile changed
    eduroam: connection profile changed
    wlo1: connecting (getting IP configuration)
    wlo1: connecting (checking IP connectivity)
    wlo1: connecting (starting secondary connections)
    wlo1: connected
    'eduroam' is now the primary connection
    Networkmanager is now in the 'connected (site only)' state
    eduroam: connection profile changed
    Connectivity is now 'full'
    Networkmanager is now in the 'connected' state



While the connection is being loaded with fc28-fc29 packages, `ifconfig wlo1` reports:

    wlo1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
            inet6 fe80::a1d5:dcb9:b98c:4f28  prefixlen 64  scopeid 0x20<link>
            ether 00:23:14:09:0b:64  txqueuelen 1000  (Ethernet)
            RX packets 376462  bytes 413675633 (394.5 MiB)
            RX errors 0  dropped 0  overruns 0  frame 0
            TX packets 276193  bytes 131944899 (125.8 MiB)
            TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0


Version-Release number of selected component (if applicable):

The following packages are impacted (not reporting all the other packages: NetworkManager{,{-libnm,-team,-adsl,-libnm,-wifi,-bluetooth,-ppp,-wwan}} ):

NetworkManager-1.12.4-2.fc29.x86_64.rpm (from fc29 updates repo)
NetworkManager-1.12.4-1.fc29.x86_64.rpm (from fc29 base repo)
NetworkManager-1.10.12-2.fc28.x86_64.rpm (from fc28)


Steps to Reproduce:
1. Setup a "WPA & WPA2 Enterprise" connection, e.g. using the network manager applet in the XFCE traybar. In particular I'm trying to use an eduroam connection inside my university (so there are multiple access points around my laptop) and I don't have access to the access point.
2. Connect to the network you just setup.

Actual results:
The connection fails after a minute it tries to connect, apparently in the phase of obtaining the IP.


Expected results:
Connect to the WiFi network.


Logs from /var/log/messages are attached for both the fc29 (not working) and fc27 (working) packages.

Comment 1 Alberto Chiusole 2018-11-08 11:08:43 UTC
Created attachment 1503301 [details]
fc27 (working) logs from /var/log/messages

Comment 2 Beniamino Galvani 2018-11-08 13:18:41 UTC
Can you please try this:

 nmcli connection modify eduroam wifi-sec.pmf disable

and connect again?

Comment 3 Alberto Chiusole 2018-11-08 13:37:38 UTC
It worked!

    # nmcli connection modify eduroam wifi-sec.pmf disable
    # systemctl restart NetworkManager; nmcli monitor

    wlo1: disconnected
    wlo1: connecting (prepare)
    wlo1: using connection 'eduroam'
    Networkmanager is now in the 'connecting' state
    wlo1: connecting (need authentication)
    wlo1: connecting (prepare)
    wlo1: connecting (configuring)
    wlo1: connecting (getting IP configuration)
    wlo1: connecting (checking IP connectivity)
    wlo1: connecting (starting secondary connections)
    wlo1: connected
    'eduroam' is now the primary connection
    Networkmanager is now in the 'connected (site only)' state
    Connectivity is now 'full'
    Networkmanager is now in the 'connected' state


Is this something that I can't set inside the editor?
Because when I open the connection with the nm editor, I find a warning at the bottom:
"The connection contains some properties not supported by the editor. They will be cleared upon save."
And if I hover it with my pointer I see:
"Unsupported properties: 802-11-wireless-security.pmf"

Comment 4 Ben Cotton 2019-10-31 20:32:50 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 19:49:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.